using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Models.Models
{
    /// <summary>
    /// 配置文件上传日志
    /// </summary>

    [Table("TBL_PROFILE_UPLOAD_LOGS")]
    public class TBL_PROFILE_UPLOAD_LOGS
    {
        [Key, Column(TypeName = "int"), Comment("模型 ID id,自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ConfigFile_ID { get; set; }



        [Column(TypeName = "nvarchar(100)"), Comment("目录名")]

        public string Directory { get; set; } = String.Empty;


        [Column(TypeName = "nvarchar(255)"), Comment("XML文件名")]
        public string XML_FileName { get; set; } = String.Empty;


        [Column(TypeName = "nvarchar(255)"), Comment("DAT文件名")]
        public string DAT_FileName { get; set; } = String.Empty;


        [Column(TypeName = "nvarchar(100)"), Comment("版本号")]

        public string Version { get; set; } = String.Empty;


        [Column(TypeName = "datetime"), Comment("上传日期")]

        public DateTime UploadDateTime { get; set; } = DateTime.Now;


        [Column(TypeName = "nvarchar(100)"), Comment("作者")]

        public string Author { get; set; } = string.Empty;


        [Column(TypeName = "nvarchar(255)"), Comment("XLM_MD5")]

        public string XLM_MD5 { get; set; } = string.Empty;


        [Column(TypeName = "nvarchar(255)"), Comment("DAT_MD5")]

        public string DAT_MD5 { get; set; } = string.Empty;

        /// <summary>
        /// 酒店id
        /// </summary>
        [Column(TypeName = "int"), Comment("酒店id")]
        public int  HotelID { get; set; }


        /// <summary>
        /// 房型id
        /// </summary>
        [Column(TypeName = "int"), Comment("房型id")]
        public int RoomTypeID { get; set; }


        /// <summary>
        /// RCU 机型
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment("RCU 机型")]

        public string RCU_Model { get; set; } = String.Empty;

        /// <summary>
        /// 配置工具版本号
        /// </summary>

        [Column(TypeName = "nvarchar(50)"), Comment("配置工具版本号")]

        public string ConfigApp_Ver { get; set; } = String.Empty;

        /// <summary>
        /// 备注
        /// </summary>

        [Column(TypeName = "nvarchar(520)"), Comment("备注")]

        public string Remark { get; set; } = string.Empty;
        /// <summary>
        /// pc电脑名
        /// </summary>

        [Column(TypeName = "nvarchar(100)"), Comment("pc电脑名")]

        public string PC_NAME { get; set; } = string.Empty;

        /// <summary>
        /// pc MAC
        /// </summary>

        [Column(TypeName = "nvarchar(100)"), Comment("pc MAC")]

        public string PC_MAC { get; set; } = string.Empty;
    }
}
